body {
  font-family: sans-serif;
  max-width: 50rem;
  margin: 0 auto 6rem;
  padding: 0 1rem;
}

html {
  scrollbar-gutter: stable;
}

img {
  max-width: 100%;
}

nav {
  display: flex;
  align-items: baseline;
}

nav ul {
  margin-left: auto;
  list-style: none;
}

nav ul li {
  display: inline;
  margin-left: 0.75em;
}

h1.title {
  font-size: 2rem;
  margin-top: 0.25rem;
  margin-bottom: 0.5rem;
}

pre {
  padding: 0.5rem;
  outline: 0.15rem solid;
  overflow-x: auto;
}

code:not(pre *) {
  padding: 0.15em 0.3em;
  border-radius: 4px;
}

table {
  display: block;
  max-width: 100%;
  overflow-x: auto;
  border-collapse: collapse;
}

th,
td {
  border: 1px solid;
  padding: 0.25em;
}

figure {
  text-align: center;
  margin: auto 0;
}

figure figcaption {
  font-size: 1.15rem;
  font-weight: bold;
}

@media (prefers-color-scheme: light) {
  code:not(pre *) {
    background-color: rgba(175, 184, 193, 0.2);
  }
}

@media (prefers-color-scheme: dark) {
  body {
    background-color: #121212;
    color: #fff;
  }

  a {
    color: #58a6ff;
  }

  a:visited {
    color: #cc76a4;
  }

  a:active {
    color: #ff0000;
  }

  code:not(pre *) {
    background-color: rgba(93, 100, 110, 0.4);
  }
}